FtpServerSocket (JFtp)
Date: 2016-03-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jftp.net.server
Class FtpServerSocket

    java.lang.Object
      java.lang.Thread
          net.sf.jftp.net.server.FtpServerSocket

All Implemented Interfaces:
  java.lang.Runnable

    public class FtpServerSocket

extends java.lang.Thread

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`static int` | `dataPort`
`static int` | `port`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`FtpServerSocket(java.net.Socket s)`

Method Summary
`void` | `auth(java.lang.String line)`
`void` | `cdup(java.lang.String line)`
`void` | `cwd(java.lang.String line)`
`void` | `feat(java.lang.String line)`
`void` | `help(java.lang.String line)`
`void` | `lang(java.lang.String line)`
`void` | `list(java.lang.String line)`
`static void` | `main(java.lang.String[] args)`
`void` | `mkd(java.lang.String line)`
`void` | `mode(java.lang.String line)`
`void` | `motd()`
`void` | `nlst(java.lang.String line)`
`void` | `noop(java.lang.String line)`
`void` | `opts(java.lang.String line)`
`void` | `pass(java.lang.String line)`
`void` | `pasv(java.lang.String line)`
`void` | `port(java.lang.String line)`
`void` | `pwd(java.lang.String line)`
`void` | `quit(java.lang.String line)`
`void` | `rein(java.lang.String line)`
`void` | `run()`
`void` | `setRoot(java.lang.String line)`
`void` | `smnt(java.lang.String line)`
`void` | `stat(java.lang.String line)`
`void` | `stru(java.lang.String line)`
`void` | `syst(java.lang.String line)`
`void` | `type(java.lang.String line)`
`void` | `user(java.lang.String line)`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### port

    public static final int port

See Also:
  Constant Field Values

### dataPort

    public static final int dataPort

See Also:
  Constant Field Values

Constructor Detail

### FtpServerSocket

    public FtpServerSocket(java.net.Socket s)
                    throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### motd

    public void motd()

### user

    public void user(java.lang.String line)

### pass

    public void pass(java.lang.String line)

### syst

    public void syst(java.lang.String line)

### type

    public void type(java.lang.String line)

### stru

    public void stru(java.lang.String line)

### mode

    public void mode(java.lang.String line)

### rein

    public void rein(java.lang.String line)

### smnt

    public void smnt(java.lang.String line)

### quit

    public void quit(java.lang.String line)

### pwd

    public void pwd(java.lang.String line)

### cwd

    public void cwd(java.lang.String line)

### cdup

    public void cdup(java.lang.String line)

### noop

    public void noop(java.lang.String line)

### help

    public void help(java.lang.String line)

### stat

    public void stat(java.lang.String line)

### mkd

    public void mkd(java.lang.String line)

### feat

    public void feat(java.lang.String line)

### pasv

    public void pasv(java.lang.String line)

### list

    public void list(java.lang.String line)

### nlst

    public void nlst(java.lang.String line)

### port

    public void port(java.lang.String line)

### opts

    public void opts(java.lang.String line)

### lang

    public void lang(java.lang.String line)

### auth

    public void auth(java.lang.String line)

### setRoot

    public void setRoot(java.lang.String line)

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD